Last Comment Bug 588419 - Switch SeaMonkey UI to open Data Manager instead of other windows
: Switch SeaMonkey UI to open Data Manager instead of other windows
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Passwords & Permissions (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1b2
Assigned To: Robert Kaiser (not working on stability any more)
:
Mentors:
Depends on: 666102 DataManager 588418 613795
Blocks: 588421 599097 619098
  Show dependency treegraph
 
Reported: 2010-08-18 08:07 PDT by Robert Kaiser (not working on stability any more)
Modified: 2011-06-21 19:57 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
part1, v1: page info (4.62 KB, patch)
2010-11-20 13:08 PST, Robert Kaiser (not working on stability any more)
no flags Details | Diff | Review
v1: full patch for all hooks (29.00 KB, patch)
2010-11-27 18:00 PST, Robert Kaiser (not working on stability any more)
iann_bugzilla: review+
Details | Diff | Review

Description Robert Kaiser (not working on stability any more) 2010-08-18 08:07:22 PDT
We have a number of UI elements, e.g. in Page Info or Preferences windows, that currently open the separate windows for managing data. Those should be switched over to open Data Manager instead.
Comment 1 Robert Kaiser (not working on stability any more) 2010-11-20 13:08:27 PST
Created attachment 492089 [details] [diff] [review]
part1, v1: page info

This patch switches page info to use the new functionality added in bug 588418 for calling the page/domain's cookie and password lists.

I also added code to only activate those buttons when actual cookies or passwords are available, as else this would open the Data Manager to the default (form data list) which doesn't really fit here.
Comment 2 Robert Kaiser (not working on stability any more) 2010-11-27 18:00:08 PST
Created attachment 493545 [details] [diff] [review]
v1: full patch for all hooks

This patch does all hooks, and uses with the new syntax from bug 588418.

Conveniently, we can remove permissionsOverlay.js completely, and the inclusion of utilityOverlay.js in preferences.xul makes the broken "Add-ons Manager" button in the software installation panel work again as well.

I think that permissionsNavigatorOverlay should be cleaned up or even merged into the main navigator files, and we might want to restructure the menu items of it in a way to make them more streamlined and reduce redundancy with the Data Manager menu item, but I think all that can go into yet another bug.
Comment 3 Robert Kaiser (not working on stability any more) 2010-11-28 05:08:24 PST
permissionsOverlay.js in imageContextOverlay.xul can be removed as well, of course, apparently it isn't actually used in there anyhow.
Comment 4 Ian Neal 2010-12-14 10:03:27 PST
Comment on attachment 493545 [details] [diff] [review]
v1: full patch for all hooks

r=me followup spun off to Bug 619098
Comment 5 Robert Kaiser (not working on stability any more) 2010-12-15 06:18:26 PST
Pushed as http://hg.mozilla.org/comm-central/rev/5834a6efada8

Note You need to log in before you can comment on or make changes to this bug.